package com.hzya.frame.cbs8.dto.res;

/**
 * @Description 境内账户交易明细
 * @Author xiangerlin
 * @Date 2023/12/29 16:40
 **/
public class TransactionDetailDTO{
    private String accountNo;//银行账号
    private String accountName;//银行名称
    private String bankType;//银行类型
    private String openBank;//开户行名称
    private String bankTransactionDate;//交易日期
    private String bankSerialNumber;//银行流水号
    private String transactionSerialNumber;//交易流水号
    private String currency;//币种
    private String loanType;//借贷类型
    private String incurredAmount;//发生额
    private String accountBalance;//交易后余额
    private String purpose;//用途
    private String digest;//摘要
    private String oppositeAccount;//对方账号
    private String oppositeName;//对方户名
    private String oppositeOpeningBank;//对方开户行
    private String associatedCustomerNumber;//关联客户号
    private String merchantNumber;//客商编号
    private String merchantName;//客商名称
    private String transactionCode;//交易代码
    private String remark;//备注
    private String erpSerialNumber;//erp业务参考号

    public String getAccountNo() {
        return accountNo;
    }

    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getBankType() {
        return bankType;
    }

    public void setBankType(String bankType) {
        this.bankType = bankType;
    }

    public String getOpenBank() {
        return openBank;
    }

    public void setOpenBank(String openBank) {
        this.openBank = openBank;
    }

    public String getBankTransactionDate() {
        return bankTransactionDate;
    }

    public void setBankTransactionDate(String bankTransactionDate) {
        this.bankTransactionDate = bankTransactionDate;
    }

    public String getBankSerialNumber() {
        return bankSerialNumber;
    }

    public void setBankSerialNumber(String bankSerialNumber) {
        this.bankSerialNumber = bankSerialNumber;
    }

    public String getTransactionSerialNumber() {
        return transactionSerialNumber;
    }

    public void setTransactionSerialNumber(String transactionSerialNumber) {
        this.transactionSerialNumber = transactionSerialNumber;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getLoanType() {
        return loanType;
    }

    public void setLoanType(String loanType) {
        this.loanType = loanType;
    }

    public String getIncurredAmount() {
        return incurredAmount;
    }

    public void setIncurredAmount(String incurredAmount) {
        this.incurredAmount = incurredAmount;
    }

    public String getAccountBalance() {
        return accountBalance;
    }

    public void setAccountBalance(String accountBalance) {
        this.accountBalance = accountBalance;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getDigest() {
        return digest;
    }

    public void setDigest(String digest) {
        this.digest = digest;
    }

    public String getOppositeAccount() {
        return oppositeAccount;
    }

    public void setOppositeAccount(String oppositeAccount) {
        this.oppositeAccount = oppositeAccount;
    }

    public String getOppositeName() {
        return oppositeName;
    }

    public void setOppositeName(String oppositeName) {
        this.oppositeName = oppositeName;
    }

    public String getOppositeOpeningBank() {
        return oppositeOpeningBank;
    }

    public void setOppositeOpeningBank(String oppositeOpeningBank) {
        this.oppositeOpeningBank = oppositeOpeningBank;
    }

    public String getAssociatedCustomerNumber() {
        return associatedCustomerNumber;
    }

    public void setAssociatedCustomerNumber(String associatedCustomerNumber) {
        this.associatedCustomerNumber = associatedCustomerNumber;
    }

    public String getMerchantNumber() {
        return merchantNumber;
    }

    public void setMerchantNumber(String merchantNumber) {
        this.merchantNumber = merchantNumber;
    }

    public String getMerchantName() {
        return merchantName;
    }

    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName;
    }

    public String getTransactionCode() {
        return transactionCode;
    }

    public void setTransactionCode(String transactionCode) {
        this.transactionCode = transactionCode;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getErpSerialNumber() {
        return erpSerialNumber;
    }

    public void setErpSerialNumber(String erpSerialNumber) {
        this.erpSerialNumber = erpSerialNumber;
    }
}
